org.eclipse.microprofile.opentracing.tck.rest.client

## Class RestClientServices

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.rest.client.RestClientServices

    @Path(value="mpRestClient")
    public class RestClientServices
    extends Object

Author:
  Pavol Loffay

### Field Summary

Fields
`static String` `REST_MP_REST_CLIENT_DISABLED_TRACING` Web service endpoint that uses rest client with disabled tracing.
`static String` `REST_MP_REST_CLIENT_DISABLED_TRACING_METHOD` Web service endpoint that uses rest client with disabled tracing.
`static String` `REST_NESTED_MP_REST_CLIENT` Web service endpoint that will call itself some number of times.
`static String` `REST_SERVICE_PATH`

### Constructor Summary

Constructors
Constructor and Description
`RestClientServices()`

### Method Summary

All Methods Instance Methods Concrete Methods
`jakarta.ws.rs.core.Response` `nestedMpRestClient(int nestDepth, int nestBreadth, String uniqueID, boolean failNest, boolean async)`
`jakarta.ws.rs.core.Response` `restClientMethodTracingDisabled()`
`jakarta.ws.rs.core.Response` `restClientTracingDisabled()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### REST_SERVICE_PATH

    public static final String REST_SERVICE_PATH

See Also:
  Constant Field Values

#### REST_NESTED_MP_REST_CLIENT

    public static final String REST_NESTED_MP_REST_CLIENT

Web service endpoint that will call itself some number of times.

See Also:
  Constant Field Values

#### REST_MP_REST_CLIENT_DISABLED_TRACING

    public static final String REST_MP_REST_CLIENT_DISABLED_TRACING

Web service endpoint that uses rest client with disabled tracing.

See Also:
  Constant Field Values

#### REST_MP_REST_CLIENT_DISABLED_TRACING_METHOD

    public static final String REST_MP_REST_CLIENT_DISABLED_TRACING_METHOD

Web service endpoint that uses rest client with disabled tracing.

See Also:
  Constant Field Values

### Constructor Detail

#### RestClientServices

    public RestClientServices()

### Method Detail

#### restClientTracingDisabled

    @GET
     @Path(value="restClientTracingDisabled")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response restClientTracingDisabled()
                                                                                                                                        throws MalformedURLException

Throws:
  `MalformedURLException`

#### restClientMethodTracingDisabled

    @GET
     @Path(value="restClientMethodTracingDisabled")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response restClientMethodTracingDisabled()
                                                                                                                                                    throws MalformedURLException

Throws:
  `MalformedURLException`

#### nestedMpRestClient

    @GET
     @Path(value="nestedMpRestClient")
     @Produces(value="text/plain")
    public jakarta.ws.rs.core.Response nestedMpRestClient(@QueryParam(value="nestDepth")
                                                                                                                                 int nestDepth,
                                                                                                                                 @QueryParam(value="nestBreadth")
                                                                                                                                 int nestBreadth,
                                                                                                                                 @QueryParam(value="data")
                                                                                                                                 String uniqueID,
                                                                                                                                 @QueryParam(value="failNest")
                                                                                                                                 boolean failNest,
                                                                                                                                 @QueryParam(value="async")
                                                                                                                                 boolean async)
                                                                                                                          throws MalformedURLException,
                                                                                                                                 ExecutionException,
                                                                                                                                 InterruptedException

Throws:
  `MalformedURLException`
  `ExecutionException`
  `InterruptedException`